%define		status		stable
%define		pearname	Console_Table
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - makes it easy to build console style tables
Summary(pl.UTF-8):	%{pearname} - proste tworzenie tabel konsolowych
Name:		php-pear-%{pearname}
Version:	1.2.1
Release:	1
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{pearname}-%{version}.tgz
# Source0-md5:	87e0447d69f396eb755c3a8629a9d8d9
URL:		http://pear.php.net/package/Console_Table/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.654
Requires:	php-pear
Suggests:	php-pear-Console_Color2
Obsoletes:	php-pear-Console_Table-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq_pear	Console/Color2.*

%description
Provides methods such as addRow(), insertRow(), addCol() etc to build
Console tables. Can be with or without headers, and has various
configurable options.

In PEAR status of this package is: %{status}.

%description -l pl.UTF-8
Dostarcza metod, takich jak addRow(), insertRow(), addCol(), itp. do
tworzenia tabel konsolowych. Mogą być robione z i bez nagłówków.
Posiada wiele opcji konfigurowalnych.

Ta klasa ma w PEAR status: %{status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Console/Table.php
%changelog
* Wed Nov 26 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pear-Console_Table.git;a=log;h=master

* Wed Nov 26 2014 Elan Ruusamäe <glen@delfi.ee> eeb1a14
- up to 1.2.1

* Tue Jun 24 2014 Elan Ruusamäe <glen@delfi.ee> 1801067
- suggests Console_Color2

* Thu Jun 19 2014 Elan Ruusamäe <glen@delfi.ee> 8e1533a
- up to 1.2.0

* Wed Dec 19 2012 Elan Ruusamäe <glen@delfi.ee> 9b8f5cc
- updated to: 1.1.5

* Tue Mar 01 2011 Elan Ruusamäe <glen@pld-linux.org> ac69807
- release 2

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 3f73674
- dropped -tests subpackage

* Tue Nov 16 2010 Elan Ruusamäe <glen@pld-linux.org> d5cd2fc
- updated to: 1.1.4

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> 326534d
- updated deps with pearize.sh
- release 2

* Wed Oct 22 2008 Adam Gołębiowski <adamg@pld-linux.org> 1b8e141
- updated to 1.1.3

* Mon Jul 28 2008 Adam Gołębiowski <adamg@pld-linux.org> bbe0db6
- updated to 1.1.2

* Fri May 02 2008 Adam Gołębiowski <adamg@pld-linux.org> 83ec8b4
- updated to 1.1.1

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 38656bc
- rel 2

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> b100881
- 1.0.8

* Sat Jun 30 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 60a6151
- up to 1.0.7

* Wed Feb 28 2007 Elan Ruusamäe <glen@pld-linux.org> 4825c3d
- 1.0.6

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> d20f5fb
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 201180e
- converted to UTF-8

* Sat Sep 02 2006 Adam Gołębiowski <adamg@pld-linux.org> 6467214
- updated to 1.0.5

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> c52e19e
- BR rpm-build macros >= 1.300 for %pear_ macros

* Mon Apr 10 2006 Elan Ruusamäe <glen@pld-linux.org> 083a5cd
- 1.0.4

